Subject: Re: bug#10491: unread-char and eof

From: Aleix Conchillo Flaqué <[email-masked]>
Date: Mon, 16 Jan 2012 10:57:44 -0800

On Fri, Jan 13, 2012 at 2:34 AM, Daniel Hartwig <[email-masked]> wrote:
>
> Suggestions welcome.  Personally I find the documentation sufficiently
> clear on the usage of unread-char only accepting a character value and
> equally clear that an eof value is not a character.

I totally agree. However, I think the documentation should help any
kind of user level. The documentation also does not say of any kind of
error reported by the function.

So, something like this, I think would help:

"Procedure will report an error if a non-character object (e.g.
end-of-file object) is given to it.".

Or something similar.

I don't have a strong opinion on this, so you can certainly mark the
bug as won't do. But I think it would help.

Best,

Aleix